import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetDeadProductsListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();

export const contextState: OriginalListParams<GetDeadProductsListParams> = {
  storageLocationName: '',
  wllbCode: '',
  materialName: '',
  companyCode: '',
  ustomerCode: '',
  wbs: '',
};
export const context = createTableSearchContext(contextState);
